echo on
call Make-Settings.bat

cd %BASE_DIR%

rem Clean main directory
if exist *-Test.lab   del /Q *-Test.lab
if exist *-Test.lst   del /Q *-Test.lst
if exist *-Test.xex   del /Q *-Test.xex
if exist *-Test.atdbg del /Q *-Test.atdbg

rem Clean and copy fixes first
call Make-Fixes.bat

rem Make main file
call :make AUTORUN.AR0

set ATR=%RELEASE%.atr
atr\hias\dir2atr.exe -m -b MyDos4534 %ATR% atr\files

rem To compile the SillyMenu-Loader.asm, the .xex files must not be deleted.
goto keepXEXfiles
if exist SillyMenu.xex        del SillyMenu.xex
if exist SillyMenu-Packed.xex del SillyMenu-Packed.xex
if exist SillyMenu-Loader.xex del SillyMenu-Loader.xex
:keepXEXfiles

if NOT X%1==XSTART goto :EOF
start %ATR%
goto :eof

:make
del atr\files\%1
C:\jac\system\Atari800\Tools\ASM\MADS\mads.exe SillyMenu.asm -o:SillyMenu.xex %2 %3
if ERRORLEVEL 1 goto :mads_error
C:\jac\system\Atari800\Tools\PAK\SuperPacker\exomizer sfx $2000 SillyMenu.xex -t 168 -o SillyMenu-Packed.xex
C:\jac\system\Atari800\Tools\ASM\MADS\mads.exe SillyMenu-Loader.asm -l -o:atr\files\%1 %2 %3
if ERRORLEVEL 1 goto :mads_error
dir SillyMenu.xex atr\files\%1

goto :eof

:mads_error
echo ERROR: MADS compilation errors occurred. Check error messages above.
pause
exit

